/* General Styling */
body {
    overflow: hidden;
    margin: 0;
}
* {
    font-family: "Gotham";
}

/* Lower Third Text Styles */

.lt-text-cont-cont {
    position: relative;
    top: -10vh;
    width: 100%;
    display: flex;
    justify-content: center;
}

.lt-text-cont {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 0;
    border-top: solid 8vh white;
    border-left: solid 6vh transparent;
    border-right: solid 6vh transparent;
}
#lt-text {
    position: relative;
    top: -4vh;
}

/* "Logo section" styles */

.logos {
    width: 100%;
    position: absolute;
    bottom: 17vh;
    display: flex;
    justify-content: space-between;
}
.logo {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30vw;
    height: 0;
    border-bottom: solid 35vh;
}
.logo * {
    position: relative;
    top: 15vh;
}
.logo img {
    height: 15vw;
}
.home-logo {
    position: relative;
    right: 62vw;
    border-right: solid transparent 12vw !important;
    border-color: #8A00A590
}
.away-logo {
    position: relative;
    left: 62vw;
    direction: rtl;
    border-left: solid transparent 12vw !important;
    border-color: #FF262690;
}
.score {
    font-size: 5vw;
    color: white;
}
.away-score {
    margin-right: 3vw;
}
.home-score {
    margin-left: 3vw;
}

/* "VS bar" styles */
.vs-bar {
    display: flex;
    justify-content: center;
}
.vs-names-container {
    position: absolute;
    bottom: 12vh;
    display: flex;
    justify-content: center;
    height: 10vh;
    width: 0;
    overflow: hidden;
}
.vs-names {
    width: 87vw;
    height: 0;
    border-top: 10vh solid #fff;
	border-left: 4vw solid transparent;
	border-right: 4vw solid transparent;
    display: flex;
    justify-content: space-between;
}
.vs-name {
    text-transform: uppercase;
    width: 50vw;
    font-size: 2vh;
    margin-top: -7.5vh;
    line-height: 0.8;
}
.home {
    text-align: left;
}
.home::before {
    content: "\00a0HOME";
    font-size: 2.5vh;
    line-height: 0;
}
.home h1::before {
    content: "\00a0\00a0";
}
.away {
    text-align: right;
}
.away::before {
    content: "AWAY\00a0";
    font-size: 2.5vh;
    line-height: 0;
}
.away h1::after {
    content: "\00a0\00a0";
}
.vs-symbol {
    position: absolute;
    bottom: -18vh;
    width: 18vh;
    height: 18vh;
    border-radius: 50%;
    background-color: #EEEEEE;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 3.5vh;
}
.vs-symbol h1 {
    background: linear-gradient(to right, #CE2A80 0%, #A638A0 33.33%, #496DD2 66.76%, #0EABCC 100%);
    background-clip: text;
    -webkit-background-clip: text;
    color: transparent;
}

/* "Self-plug" Styles */
.self-plug-cont {
    width: 100%;
    display: flex;
    justify-content: center;
    position: absolute;
    bottom: -7vh;
}
.self-plug {
    height: 0;
    border-top: 6vh #ffffff solid;
    border-left: 4vh transparent solid;
    border-right: 4vh transparent solid;
    font-size: 3vh;
    display: flex;
    align-items: center;
    justify-content: center;
}
.self-plug * {
    position: relative;
    bottom: 3vh;
}
.self-plug img {
    width: 6vw;
}

/* Animation Styles */
@keyframes ltTextIn {
    0% {top: -10vh;}
    100% {top: 2vh;}
}

@keyframes vsSymbolIn {
    0% {bottom: -18vh;}
    100% {bottom: 8vh;}
}
@keyframes vsNamesIn {
    0% {width: 0;}
    100% {width: 100vw;}
}
@keyframes homeLogoIn {
    0% {right: 62vw;}
    100% {right: 0vw;}
}
@keyframes awayLogoIn {
    0% {left: 62vw;}
    100% {left: 0vw;}
}
@keyframes selfPlugIn {
    0% {bottom: -7vh;}
    100% {bottom: 1vh;}
}
@keyframes ltTextOut {
    0% {top: 2vh;}
    100% {top: -10vh;}
}
@keyframes vsSymbolOut {
    0% {bottom: 8vh;}
    100% {bottom: -18vh;}
}
@keyframes vsNamesOut {
    0% {width: 100vw;}
    100% {width: 0;}
}
@keyframes homeLogoOut {
    0% {right: 0vw;}
    100% {right: 62vw;}
}
@keyframes awayLogoOut {
    0% {left: 0vw;}
    100% {left: 62vw;}
}
@keyframes selfPlugOut {
    0% {bottom: 1vh;}
    100% {bottom: -7vh;}
}

.lt-text-in {
    animation: ltTextIn 1s forwards;
}
.vs-symbol-in {
    animation: vsSymbolIn 0.7s forwards;
}
.vs-names-in {
    animation: vsNamesIn 1s forwards;
}
.home-logo-in {
    animation: homeLogoIn 1s forwards;
}
.away-logo-in {
    animation: awayLogoIn 1s forwards;
}
.self-plug-in {
    animation: selfPlugIn 1s forwards;
}

.lt-text-out {
    animation: ltTextOut 1s forwards;
}
.vs-symbol-out {
    animation: vsSymbolOut 0.7s forwards;
}
.vs-names-out {
    animation: vsNamesOut 1s forwards;
}
.home-logo-out {
    animation: homeLogoOut 1s forwards;
}
.away-logo-out {
    animation: awayLogoOut 1s forwards;
}
.self-plug-out {
    animation: selfPlugOut 1s forwards;
}
